{
"tripName": "Delhi Mumbai Oct",
"purpose": "Client visit",
"tripType": "DOMESTIC",
"status": "SUBMITTED",
"billable": false,
"visaRequired": false,
"perDiem": false,
"destinationCountry": "string",
"projectId": "string",
"customer": "string",
"billableType": "string",
"fileUpload": "string",
"flightEntries": {
"flightType": "ONE_WAY",
"seatPreference": "WINDOW",
"mealPreference": "VEG",
"segments": [
{
"departFrom": "DEL",
"arriveAt": "BOM",
"date": "20-10-2026",
"description": "string",
"timePreference": "EARLY_MORNING",
"flightClass": "ECONOMY"
}
]
},
"busEntries": [
{}
],
"trainEntries": [
{}
],
"carRentalEntries": [
{}
],
"hotelEntries": [
{}
],
"advanceCreateRequest": {}
}curl --location 'https://ekpayout-uat.enkash.in/api/v0/partner/trip?userId=EKUSER001&tenantName=' \
--header 'Authorization: Bearer <token>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"tripName": "Delhi Mumbai Oct",
"purpose": "Client visit",
"tripType": "DOMESTIC",
"status": "SUBMITTED",
"billable": false,
"visaRequired": false,
"perDiem": false,
"destinationCountry": "string",
"projectId": "string",
"customer": "string",
"billableType": "string",
"fileUpload": "string",
"flightEntries": {
"flightType": "ONE_WAY",
"seatPreference": "WINDOW",
"mealPreference": "VEG",
"segments": [
{
"departFrom": "DEL",
"arriveAt": "BOM",
"date": "20-10-2026",
"description": "string",
"timePreference": "EARLY_MORNING",
"flightClass": "ECONOMY"
}
]
},
"busEntries": [
{}
],
"trainEntries": [
{}
],
"carRentalEntries": [
{}
],
"hotelEntries": [
{}
],
"advanceCreateRequest": {}
}'{
"response_code": 0,
"response_message": "Request has been successfully created.",
"payload": {
"tripRequestId": "TRP123456",
"tripName": "string",
"status": "string",
"empName": "string",
"tripType": "string"
}
}